<?php
// ======================================================================== //
//   KOOBI - CMS                                                            //
//   SCRiPTMAFiA 2005 - THE DiRTY HANDS ON YOUR SCRiPTS                     //
//                                                                          //
//   DREAM4 - AM MICHELSGRUND 7 - 69469 WEINHEIM - GERMANY                  //    
//   TEL. +49(0) 6201 - 980442 / FAX. +49(0) 6201 - 64809                   //
// ======================================================================== //
function prepage(){
	if(!isset($_REQUEST['page']) && $_REQUEST['page']==""){
		$_REQUEST['page'] = 1;
		$page = 1;
	} else {
		$page = $_REQUEST['page'];
	}
	return $page;
}

function pagenav($anzahl_seiten, $tpl_on, $tpl_off) {
	global $lang;
	$aktuelle_seite = prepage();
	
	$seiten = array (
	$aktuelle_seite-3,
	$aktuelle_seite-2,
	$aktuelle_seite-1,
	$aktuelle_seite,
	$aktuelle_seite+1,
	$aktuelle_seite+2,
	$aktuelle_seite+3
	);
	
	$seiten = array_unique($seiten);
	if($anzahl_seiten > 1){
		$nav .= str_replace("{t}", $lang['pagestart'], str_replace("{s}", 1, $tpl_off));
	}
	
	if($aktuelle_seite > 1) {
		$nav .= str_replace("{t}", $lang['pageprev'], str_replace("{s}", ($aktuelle_seite-1), $tpl_off));
	}
	
	while(list($key,$val) = each($seiten)) {
		if($val >= 1 && $val <= $anzahl_seiten) {
			if($aktuelle_seite == $val) {
				$nav .= str_replace(array("{s}", "{t}"), $val, $tpl_on);
			} else {
				$nav .= str_replace(array("{s}", "{t}"), $val, $tpl_off);
			}
		}
	}
	
	if($aktuelle_seite < $anzahl_seiten) {
		$nav .= str_replace("{t}", $lang['pagenext'], str_replace("{s}", ($aktuelle_seite+1), $tpl_off));
	}
	
	if($anzahl_seiten > 1){
		$nav .= str_replace("{t}", $lang['pageend'], str_replace("{s}", $anzahl_seiten, $tpl_off));
	}
	return $nav;
}


// ARTIKEL-NAV


function artpage($anzahl_seiten,$tpl_on, $tpl_off) {
	global $lang;
	$aktuelle_seite = $_REQUEST['artpage'];
	$seiten = array($aktuelle_seite-3,
	$aktuelle_seite-2,
	$aktuelle_seite-1,
	$aktuelle_seite,
	$aktuelle_seite+1,
	$aktuelle_seite+2,
	$aktuelle_seite+3);
	$seiten = array_unique($seiten);
	if($anzahl_seiten > 1){
		$nav .= str_replace("{t}", $lang['pagestart'], str_replace("{s}", 1, $tpl_off));
	}
	
	if($aktuelle_seite > 1) {
		$nav .= str_replace("{t}", $lang['pageprev'], str_replace("{s}", ($aktuelle_seite-1), $tpl_off));
	}
	
	while(list($key,$val) = each($seiten)) {
		if($val >= 1 && $val <= $anzahl_seiten) {
			if($aktuelle_seite == $val) {
				$nav .= str_replace(array("{s}", "{t}"), $val, $tpl_on);
			} else {
				$nav .= str_replace(array("{s}", "{t}"), $val, $tpl_off);
			}
		}
	}
	
	if($aktuelle_seite < $anzahl_seiten) {
		$nav .= str_replace("{t}", $lang['pagenext'], str_replace("{s}", ($aktuelle_seite+1), $tpl_off));
	}
	
	if($anzahl_seiten > 1){
		$nav .= str_replace("{t}", $lang['pageend'], str_replace("{s}", $anzahl_seiten, $tpl_off));
	}
	return $nav;
}
?>